package com.hw.ems.report.mapper;



import com.hw.ems.report.domain.ReportPointWater;
import com.hw.ems.report.domain.ReportPointWaterDTO;

import java.util.List;
import java.util.Map;

/**
 * 水整点数据Mapper接口
 *
 * @author YinQ
 * @date 2023-04-09
 */
public interface ReportPointWaterMapper
{
    /**
     * 查询水整点数据
     *
     * @param objid 水整点数据主键
     * @return 水整点数据
     */
    public ReportPointWater selectReportPointWaterByObjid(Long objid);

    /**
     * 查询水整点数据列表
     *
     * @param reportPointWater 水整点数据
     * @return 水整点数据集合
     */
    public List<ReportPointWater> selectReportPointWaterList(ReportPointWater reportPointWater);

    /**
     * 新增水整点数据
     *
     * @param reportPointWater 水整点数据
     * @return 结果
     */
    public int insertReportPointWater(ReportPointWater reportPointWater);

    /**
     * 修改水整点数据
     *
     * @param reportPointWater 水整点数据
     * @return 结果
     */
    public int updateReportPointWater(ReportPointWater reportPointWater);

    /**
     * 删除水整点数据
     *
     * @param objid 水整点数据主键
     * @return 结果
     */
    public int deleteReportPointWaterByObjid(Long objid);

    /**
     * 批量删除水整点数据
     *
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteReportPointWaterByObjids(String[] objids);

    List<Map<String, String>> energyConsumptionReportByTime(Map map);

    /**
     * 线损分析详情页面返回数据
     * @param map
     * @return
     */
    List<Map<String, String>> energyConsumptionAnalysisDetails(Map map);

    List<ReportPointWaterDTO> datePointWaterList(ReportPointWater reportPointWater);

    /**
     * 能耗统计返回数据
     * @param paramMap
     * @return
     */
    List<Map<String, String>> energyStatisticsData(Map paramMap);
}
